be.ehealth.businessconnector.chapterIV.validators.impl

## Class Chapter4XmlValidatorImpl

- java.lang.Object
- - be.ehealth.businessconnector.chapterIV.validators.impl.Chapter4XmlValidatorImpl

- All Implemented Interfaces:
    Chapter4XmlValidator, ConfigurationModuleBootstrap.ModuleBootstrapHook, Serializable

      public class Chapter4XmlValidatorImpl
      extends Object
      implements Chapter4XmlValidator, ConfigurationModuleBootstrap.ModuleBootstrapHook

  implementation of the `Chapter4XmlValidator`. its should be configured ( hardcoded in method getXsdFileLocationForXmlObject ) for each XmlObject in chapterIV
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<Class,String>` | `XSD_FILE_LOCATION_FOR_CLASS_MAP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Chapter4XmlValidatorImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `void` | `validate(Object xmlObject)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XSD_FILE_LOCATION_FOR_CLASS_MAP

          public static final Map<Class,String> XSD_FILE_LOCATION_FOR_CLASS_MAP

  - ### Constructor Detail

    - #### Chapter4XmlValidatorImpl

          public Chapter4XmlValidatorImpl()

  - ### Method Detail

    - #### validate

          public void validate(Object xmlObject)
                        throws TechnicalConnectorException,
                               ChapterIVBusinessConnectorException

      Specified by:
        `validate` in interface `Chapter4XmlValidator`
      Throws:
        `ChapterIVBusinessConnectorException`
        `TechnicalConnectorException`
      See Also:
        `be.ehealth.businessconnector.chapterIV.validators.Chapter4XmlValidator#validate(be.cin.io.unsealed.medicaladvisoragreement.consult.v1.Request)`

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Connector Packaging PERSPHYSICIAN 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.